Page MenuHomePhabricator

Add visual indicator to show more images inside gallery.
Closed, ResolvedPublic

Description

Problem

Include a visual indicator that can help users to understand that they can see multiple photos within the gallery. During the usability sessions, we learned that a few users were unable to find out that there could be more images inside the gallery.

Note: This change would be applicable for Jio and KaiOS users.

Design Details
Only one imageFirst imageLast ImageImages on both side
  • Do not show arrows(left & right) when the gallery has only one image.
  • In the beginning, don't show the left arrow; similarly, don't show the right one for the last image in the gallery.
  • Arrows are non-interactive, so continue using D-PAD's left/right to move the images.
zeplin:

https://app.zeplin.io/project/58dc46f4a83d1e477dd83859/dashboard?seid=5fb5136bcb2efda8f3d22fcb

Event Timeline

Restricted Application added a project: Inuka-Team. · View Herald TranscriptNov 5 2020, 4:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
SGautam_WMF updated the task description. (Show Details)Nov 5 2020, 4:45 AM
SGautam_WMF updated the task description. (Show Details)
AMuigai moved this task from Backlog to Kanban on the Inuka-Team board.Nov 5 2020, 12:31 PM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
AMuigai triaged this task as Medium priority.Nov 5 2020, 12:41 PM
SGautam_WMF moved this task from Backlog to Design doing on the Inuka-Team (Kanban) board.

Design options for discussion.

SGautam_WMF added a comment.EditedNov 17 2020, 1:50 PM

More design options for discussion.

ABC
SGautam_WMF updated the task description. (Show Details)Nov 18 2020, 12:29 PM
SGautam_WMF updated the task description. (Show Details)
SGautam_WMF removed SGautam_WMF as the assignee of this task.Nov 18 2020, 12:31 PM
SGautam_WMF moved this task from Design doing to Ready for Dev on the Inuka-Team (Kanban) board.
hueitan claimed this task.Nov 24 2020, 10:45 AM
hueitan moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Nov 27 2020, 2:22 PM
Jpita added a subscriber: Jpita.

@SGautam_WMF the arrow on top of the image looks a bit weird, don't you think we could add some transparency to it?

@Jpita I did play around with different opacity values and it seems like any movement we go down with the current value then it starts looking disabled. So I would propose that we keep it to the existing value only.

AMuigai closed this task as Resolved.Dec 14 2020, 12:16 PM